Package com.trilead.ssh2.crypto

# Class CryptoWishList

java.lang.Object
com.trilead.ssh2.crypto.CryptoWishList

public class CryptoWishList extends Object
CryptoWishList.

## Field Summary

Fields
Modifier and Type
Field
Description
`String[]`
`c2s_enc_algos`
`String[]`
`c2s_mac_algos`
`String[]`
`kexAlgorithms`
`String[]`
`s2c_enc_algos`
`String[]`
`s2c_mac_algos`
`String[]`
`serverHostKeyAlgorithms`

## Constructor Summary

Constructors
Constructor
Description
`CryptoWishList()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### kexAlgorithms

public String[] kexAlgorithms

### serverHostKeyAlgorithms

public String[] serverHostKeyAlgorithms

### c2s_enc_algos

public String[] c2s_enc_algos

### s2c_enc_algos

public String[] s2c_enc_algos

### c2s_mac_algos

public String[] c2s_mac_algos

### s2c_mac_algos

public String[] s2c_mac_algos

## Constructor Details

### CryptoWishList

public CryptoWishList()